<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_69c6236c92" . "7bc93c5d062" . "074967d834d" => base64_decode("cGFnZV92ZXJ" . "zaW9u"), "pa" . "ge" . "_i" . "d" => base64_decode("cGFnZV9" . "pZA=="), "_2aef71f" . "103069bd" . "b72b57d0" . "b3bd1d29" . "4" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdlIG5vdCBpZ" . "GVudGlmaWVk"), "_1a6a10bd09998ad0ae2a2b4e0fd9" . "66e8" => base64_decode("U0NSSVBUX1VSS" . "Q=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1a6a10bd09998" . "ad0ae2a2b4e0fd" . "966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2aef71f103069bdb72b57d0" . "b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["pag" . "e_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $_d91345deaf5ce6430a776cdc17f9b138 = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["page_" . "id"]], $attributes[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_69c6236c927bc93c5" . "d062074967d834d"]]);
        return $_d91345deaf5ce6430a776cdc17f9b138;
    }
}